Make RUN_CHECK_WITH_PARALLEL_QUERIES the last thing to run

This takes a long time and rarely fails. It also interferes with `retry make prepare`, the retry is unhelpful since `make prepare` turns into a no-op
This commit is contained in:
Joshua Nelson 2022-12-14 13:48:44 -06:00 committed by Joshua Nelson
parent c99f1b7413
commit b8a84c2c53
2 changed files with 19 additions and 7 deletions

View file

@ -638,6 +638,7 @@ define_config! {
dist_stage: Option<u32> = "dist-stage",
bench_stage: Option<u32> = "bench-stage",
patch_binaries_for_nix: Option<bool> = "patch-binaries-for-nix",
// NOTE: only parsed by bootstrap.py, `--feature build-metrics` enables metrics unconditionally
metrics: Option<bool> = "metrics",
}
}

View file

@ -56,6 +56,7 @@ fi
if ! isCI || isCiBranch auto || isCiBranch beta || isCiBranch try || isCiBranch try-perf; then
RUST_CONFIGURE_ARGS="$RUST_CONFIGURE_ARGS --set build.print-step-timings --enable-verbose-tests"
RUST_CONFIGURE_ARGS="$RUST_CONFIGURE_ARGS --set build.metrics"
HAS_METRICS=1
fi
RUST_CONFIGURE_ARGS="$RUST_CONFIGURE_ARGS --enable-sccache"
@ -157,13 +158,6 @@ trap datecheck EXIT
# sccache server at the start of the build, but no need to worry if this fails.
SCCACHE_IDLE_TIMEOUT=10800 sccache --start-server || true
if [ "$RUN_CHECK_WITH_PARALLEL_QUERIES" != "" ]; then
$SRC/configure --set rust.parallel-compiler
CARGO_INCREMENTAL=0 $PYTHON ../x.py check
rm -f config.toml
rm -rf build
fi
$SRC/configure $RUST_CONFIGURE_ARGS
retry make prepare
@ -193,4 +187,21 @@ else
do_make "$RUST_CHECK_TARGET"
fi
if [ "$RUN_CHECK_WITH_PARALLEL_QUERIES" != "" ]; then
rm -f config.toml
$SRC/configure --set rust.parallel-compiler
# Save the build metrics before we wipe the directory
if [ $HAS_METRICS = 1 ]; then
mv build/metrics.json .
fi
rm -rf build
if [ $HAS_METRICS = 1 ]; then
mkdir build
mv metrics.json build
fi
CARGO_INCREMENTAL=0 $PYTHON ../x.py check
fi
sccache --show-stats || true